/*
 * This file is part of Pustefix.
 *
 * Pustefix is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Pustefix is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Pustefix; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
    
package org.pustefixframework.example.cditest;
    
import de.schlund.pfixcore.generator.*;

import de.schlund.pfixcore.generator.annotation.*;

/**
 * THIS CLASS IS AUTOGENERATED! DO NOT EDIT IN ANY WAY!
 */
@UseHandlerClass(org.pustefixframework.example.cditest.RegistrationHandler.class)
public class Registration extends IWrapperImpl {

    @Override
    protected synchronized void registerParams() {
        
        IWrapperParam          pinfo;
         
        IWrapperParamPostCheck post;
        
        // username
        if(!params.containsKey("username")) {
        pinfo  = new IWrapperParam("username", false, false, null, "java.lang.String", true);
          
        params.put("username", pinfo);
          
        post = new de.schlund.pfixcore.generator.postchecks.StringLength();
        pinfo.addPostChecker(post);
    
        ((de.schlund.pfixcore.generator.postchecks.StringLength) post).setMinLength("3");
    
        ((de.schlund.pfixcore.generator.postchecks.StringLength) post).setMaxLength("20");
    
        }  
        
      
        // password
        if(!params.containsKey("password")) {
        pinfo  = new IWrapperParam("password", false, false, null, "java.lang.String", true);
          
        params.put("password", pinfo);
          
        post = new de.schlund.pfixcore.generator.postchecks.StringLength();
        pinfo.addPostChecker(post);
    
        ((de.schlund.pfixcore.generator.postchecks.StringLength) post).setMinLength("8");
    
        ((de.schlund.pfixcore.generator.postchecks.StringLength) post).setMaxLength("20");
    
        }  
        
      
        super.registerParams();
    }
    
    // username
    @PostCheck(
        type=de.schlund.pfixcore.generator.postchecks.StringLength.class,
        properties={
            @Property(name="minLength",value="3"),
            @Property(name="maxLength",value="20")
        }
    )
    public java.lang.String getUsername() {
        return (java.lang.String) gimmeParamForKey("username").getValue();
    }
    
    public void setStringValUsername(String v) {
        gimmeParamForKey("username").
          setStringValue(new String[] {v});
    }

    public void setUsername(java.lang.String v) {
        IWrapperParam iwrpParam = gimmeParamForKey("username");
        setStringValue(new java.lang.String[] {v}, iwrpParam);
    }

    public void addSCodeUsername(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("username"), scode, null, null);
    }

    public void addSCodeUsername(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("username"), scode, args, level);
    }

    /**
      * @deprecated use addScodeUsername(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsUsername(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("username"), scode, args, null);
    }
        
    // password
    @PostCheck(
        type=de.schlund.pfixcore.generator.postchecks.StringLength.class,
        properties={
            @Property(name="minLength",value="8"),
            @Property(name="maxLength",value="20")
        }
    )
    public java.lang.String getPassword() {
        return (java.lang.String) gimmeParamForKey("password").getValue();
    }
    
    public void setStringValPassword(String v) {
        gimmeParamForKey("password").
          setStringValue(new String[] {v});
    }

    public void setPassword(java.lang.String v) {
        IWrapperParam iwrpParam = gimmeParamForKey("password");
        setStringValue(new java.lang.String[] {v}, iwrpParam);
    }

    public void addSCodePassword(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("password"), scode, null, null);
    }

    public void addSCodePassword(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("password"), scode, args, level);
    }

    /**
      * @deprecated use addScodePassword(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsPassword(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("password"), scode, args, null);
    }
        
}
  